### Method

# GUPnPAV DIDLLiteResource set_duration

#### Declaration [src]

    void
    gupnp_didl_lite_resource_set_duration (
      GUPnPDIDLLiteResource* resource,
      glong duration
    )

#### Description [src]

Set the duration (in seconds) of the `resource`. Passing a negative number will unset this property.

Sets property | `GUPnPAV.DIDLLiteResource:duration`

#### Parameters

`duration`

  Type: `glong`

  The duration (in seconds).